<template>
	<main class="mt-36">
		<h2 class="contents-title">Text Color</h2>
		<p
			v-for="(colors, index) in palletes"
			:key="index"
			:class="'text-' + colors.color"
		>
			Text class color = ".text-{{ colors.color }}"
		</p>
		<hr />
		<Code :codeText="textColorCode" />
		<h2 class="contents-title">Background Colors</h2>
		<p
			v-for="(colors, index) in palletes"
			:key="index"
			:class="'bg-' + colors.color"
		>
			Background class color = ".bg-{{ colors.color }}"
		</p>
		<Code :codeText="backgroundColorCode" />
		<hr />
		<h2 class="contents-title">Black Tones</h2>
		<p
			v-for="(colors, index) in blackTonesList"
			:key="index"
			:class="'text-' + colors.color"
		>
			Black tone = ".text-{{ colors.color }}"
			<span :class="'bg-' + colors.color + ' span-pallete'">___</span>
		</p>
		<Code :codeText="blackTonesCode" />
		<hr />
		<h2 class="contents-title">Link Color</h2>
		<p v-for="(colors, index) in palletes" :key="index">
			Link color =
			<a :class="'link-' + colors.color" href="#">".link-{{ colors.color }}"</a>
		</p>
		<Code :codeText="linkColorCode" />
		<ContentFooter />
	</main>
</template>

<script>
const textColor = `<p class="text-primary">Text class color = ".text-primary"</p>
<p class="text-secondary">Text class color = ".text-secondary"</p>
<p class="text-warning">Text class color = ".text-warning"</p>
<p class="text-danger">Text class color = ".text-danger"</p>
<p class="text-black">Text class color = ".text-black"</p>
<p class="text-light-grey">Text class color = ".text-light-grey"</p>
<p class="text-white">Text class color = ".text-white"</p>`

const backgroundColor = `<p class="bg-primary">Background class color = ".bg-primary"</p>
<p class="bg-secondary">Background class color = ".bg-secondary"</p>
<p class="bg-warning">Background class color = ".bg-warning"</p>
<p class="bg-danger">Background class color = ".bg-danger"</p>
<p class="bg-black">Background class color = ".bg-black"</p>
<p class="bg-light-grey">Background class color = ".bg-light-grey"</p>
<p class="bg-white">Background class color = ".bg-white"</p>`

const blackTones = `<p class="text-black10">Black tone = ".text-black10" ($black10)</p>
<p class="text-black20">Black tone = ".text-black20" ($black20)</p>
<p class="text-black30">Black tone = ".text-black30" ($black30)</p>
<p class="text-black40">Black tone = ".text-black40" ($black40)</p>
<p class="text-black50">Black tone = ".text-black50" ($black50)</p>
<p class="text-black60">Black tone = ".text-black60" ($black60)</p>
<p class="text-black70">Black tone = ".text-black70" ($black70)</p>
<p class="text-black80">Black tone = ".text-black80" ($black80)</p>
<p class="text-black90">Black tone = ".text-black90" ($black90)</p>
<p class="text-black">Black tone = ".text-black" ($black)</p>`

const linkColor = `<p>Link color = <a class="link-primary" href="#">".link-primary"</a> (<a href="#">Default link color</a>)</p>
<p>Link color = <a class="link-secondary" href="#">".link-secondary"</a></p>
<p>Link color = <a class="link-warning" href="#">".link-warning"</a></p>
<p>Link color = <a class="link-danger" href="#">".link-danger"</a></p>
<p>Link color = <a class="link-black" href="#">".link-black"</a></p>
<p>Link color = <a class="link-light-grey" href="#">".link-light-grey"</a></p>
<p>Link color = <a class="link-white" href="#">".link-white"</a></p>`

const dataPalletes = [
	{
		color: 'primary'
	},
	{
		color: 'secondary'
	},
	{
		color: 'warning'
	},
	{
		color: 'danger'
	},
	{
		color: 'black'
	},
	{
		color: 'light-grey'
	},
	{
		color: 'white'
	}
]

const blackList = [
	{
		color: 'black10'
	},
	{
		color: 'black20'
	},
	{
		color: 'black30'
	},
	{
		color: 'black40'
	},
	{
		color: 'black50'
	},
	{
		color: 'black60'
	},
	{
		color: 'black70'
	},
	{
		color: 'black80'
	},
	{
		color: 'black90'
	},
	{
		color: 'black'
	}
]

export default {
	data() {
		return {
			textColorCode: textColor,
			backgroundColorCode: backgroundColor,
			blackTonesCode: blackTones,
			linkColorCode: linkColor,
			palletes: dataPalletes,
			blackTonesList: blackList
		}
	}
}
</script>

<style lang="scss" scoped>
main {
	color: $text;
	width: 100%;
}
</style>
